Subject: bug#77683: 31.0.50; Feature Request: Make the project switch message customizable or optional

From: Juri Linkov <[email-masked]>
Date: Thu, 10 Apr 2025 09:44:59 +0300

> While I appreciate the intention of giving more context by showing the
> current project path, in practice, the dynamic length of this path
> shifts the position of the command hints in the minibuffer. This causes
> a jarring and inconsistent experience every time I switch projects. This
> happens especially for projects with longer paths, where the options
> appear far to the right or wrapped in a new line at some random
> position.
>
> Would it be possible to make this message:
> - Optional via a user-facing variable, or
> - Customizable (e.g., via a custom formatting function or hook)?

Another option would be to truncate a long dir name
like does the recently added option 'dired-filename-display-length'.